summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md1
-rwxr-xr-xinstall.sh12
2 files changed, 13 insertions, 0 deletions
diff --git a/README.md b/README.md
index b4f6a7e..835200e 100644
--- a/README.md
+++ b/README.md
@@ -16,6 +16,7 @@ Alternatively, for a first-time Rust learner, there are several other resources:
## Getting Started
_Note: If you're on MacOS, make sure you've installed Xcode and its developer tools by typing `xcode-select --install`._
+_Note: If you're on Linux, make sure you've installed gcc. Deb: `sudo apt install gcc`. Yum: `sudo yum -y install gcc`._
You will need to have Rust installed. You can get it by visiting https://rustup.rs. This'll also install Cargo, Rust's package/project manager.
diff --git a/install.sh b/install.sh
index e986e74..68b8da3 100755
--- a/install.sh
+++ b/install.sh
@@ -12,6 +12,18 @@ else
exit 1
fi
+if [ -x "$(command -v cc)" ]
+then
+ echo "SUCCESS: cc is installed"
+else
+ echo "ERROR: cc does not seem to be installed."
+ echo "Please download (g)cc using your package manager."
+ echo "OSX: xcode-select --install"
+ echo "Deb: sudo apt install gcc"
+ echo "Yum: sudo yum -y install gcc"
+ exit 1
+fi
+
if [ -x "$(command -v rustc)" ]
then
echo "SUCCESS: Rust is installed"